import {axios} from '@/utils/request'
import {upcloud_base_wh_inbound, upcloud_base_strategy, upcloud_base_common} from "@/config/serviceSettings";

const baseUrl = upcloud_base_wh_inbound

// 新增
export const save = data => {
  return axios.post(baseUrl + '/rcvHeaders/v1.0/addWithRelated', data)
}
// 获取库别-字典
export const getAreaCategoryCodeOptions = () => {
  return axios.post(upcloud_base_common + '/dict/listbytype?dicttypeCodes=wms_storeroom')
}
// 获取库别-策略
export const getAreaCategoryCode = params => {
  return axios.get(upcloud_base_strategy + '/strategy/v1/execute', {params})
}